OSDN Git Service

[lfsja-git] r11.1-117 対応。
[lfsbookja/lfsja-git.git] / Makefile.in
1 # Makefile.in generated by automake 1.16.4 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18   if test -z '$(MAKELEVEL)'; then \
19     false; \
20   elif test -n '$(MAKE_HOST)'; then \
21     true; \
22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23     true; \
24   else \
25     false; \
26   fi; \
27 }
28 am__make_running_with_option = \
29   case $${target_option-} in \
30       ?) ;; \
31       *) echo "am__make_running_with_option: internal error: invalid" \
32               "target option '$${target_option-}' specified" >&2; \
33          exit 1;; \
34   esac; \
35   has_opt=no; \
36   sane_makeflags=$$MAKEFLAGS; \
37   if $(am__is_gnu_make); then \
38     sane_makeflags=$$MFLAGS; \
39   else \
40     case $$MAKEFLAGS in \
41       *\\[\ \   ]*) \
42         bs=\\; \
43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45     esac; \
46   fi; \
47   skip_next=no; \
48   strip_trailopt () \
49   { \
50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51   }; \
52   for flg in $$sane_makeflags; do \
53     test $$skip_next = yes && { skip_next=no; continue; }; \
54     case $$flg in \
55       *=*|--*) continue;; \
56         -*I) strip_trailopt 'I'; skip_next=yes;; \
57       -*I?*) strip_trailopt 'I';; \
58         -*O) strip_trailopt 'O'; skip_next=yes;; \
59       -*O?*) strip_trailopt 'O';; \
60         -*l) strip_trailopt 'l'; skip_next=yes;; \
61       -*l?*) strip_trailopt 'l';; \
62       -[dEDm]) skip_next=yes;; \
63       -[JT]) skip_next=yes;; \
64     esac; \
65     case $$flg in \
66       *$$target_option*) has_opt=yes; break;; \
67     esac; \
68   done; \
69   test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 subdir = .
89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90 am__aclocal_m4_deps = $(top_srcdir)/version.ac \
91         $(top_srcdir)/m4/progs.m4 \
92         $(top_srcdir)/m4/ax_compare_version.m4 \
93         $(top_srcdir)/m4/ac_check_docbook_xslt.m4 \
94         $(top_srcdir)/m4/ac_check_docbook_dtd.m4 \
95         $(top_srcdir)/m4/ac_check_takaofontdir.m4 \
96         $(top_srcdir)/m4/ac_check_rev.m4 $(top_srcdir)/configure.ac
97 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
98         $(ACLOCAL_M4)
99 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
100         $(am__configure_deps) $(am__DIST_COMMON)
101 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
102  configure.lineno config.status.lineno
103 mkinstalldirs = $(install_sh) -d
104 CONFIG_CLEAN_FILES =
105 CONFIG_CLEAN_VPATH_FILES =
106 AM_V_P = $(am__v_P_@AM_V@)
107 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
108 am__v_P_0 = false
109 am__v_P_1 = :
110 AM_V_GEN = $(am__v_GEN_@AM_V@)
111 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
112 am__v_GEN_0 = @echo "  GEN     " $@;
113 am__v_GEN_1 = 
114 AM_V_at = $(am__v_at_@AM_V@)
115 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
116 am__v_at_0 = @
117 am__v_at_1 = 
118 SOURCES =
119 DIST_SOURCES =
120 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
121         ctags-recursive dvi-recursive html-recursive info-recursive \
122         install-data-recursive install-dvi-recursive \
123         install-exec-recursive install-html-recursive \
124         install-info-recursive install-pdf-recursive \
125         install-ps-recursive install-recursive installcheck-recursive \
126         installdirs-recursive pdf-recursive ps-recursive \
127         tags-recursive uninstall-recursive
128 am__can_run_installinfo = \
129   case $$AM_UPDATE_INFO_DIR in \
130     n|no|NO) false;; \
131     *) (install-info --version) >/dev/null 2>&1;; \
132   esac
133 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
134   distclean-recursive maintainer-clean-recursive
135 am__recursive_targets = \
136   $(RECURSIVE_TARGETS) \
137   $(RECURSIVE_CLEAN_TARGETS) \
138   $(am__extra_recursive_targets)
139 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
140         cscope distdir distdir-am dist dist-all distcheck
141 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
142 # Read a list of newline-separated strings from the standard input,
143 # and print each of them once, without duplicates.  Input order is
144 # *not* preserved.
145 am__uniquify_input = $(AWK) '\
146   BEGIN { nonempty = 0; } \
147   { items[$$0] = 1; nonempty = 1; } \
148   END { if (nonempty) { for (i in items) print i; }; } \
149 '
150 # Make sure the list of sources is unique.  This is necessary because,
151 # e.g., the same source file might be shared among _SOURCES variables
152 # for different programs/libraries.
153 am__define_uniq_tagged_files = \
154   list='$(am__tagged_files)'; \
155   unique=`for i in $$list; do \
156     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
157   done | $(am__uniquify_input)`
158 DIST_SUBDIRS = $(SUBDIRS)
159 am__DIST_COMMON = $(srcdir)/Makefile.in AUTHORS COPYING ChangeLog \
160         INSTALL NEWS README compile depcomp install-sh missing
161 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
162 distdir = $(PACKAGE)-$(VERSION)
163 top_distdir = $(distdir)
164 am__remove_distdir = \
165   if test -d "$(distdir)"; then \
166     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
167       && rm -rf "$(distdir)" \
168       || { sleep 5 && rm -rf "$(distdir)"; }; \
169   else :; fi
170 am__post_remove_distdir = $(am__remove_distdir)
171 am__relativize = \
172   dir0=`pwd`; \
173   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
174   sed_rest='s,^[^/]*/*,,'; \
175   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
176   sed_butlast='s,/*[^/]*$$,,'; \
177   while test -n "$$dir1"; do \
178     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
179     if test "$$first" != "."; then \
180       if test "$$first" = ".."; then \
181         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
182         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
183       else \
184         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
185         if test "$$first2" = "$$first"; then \
186           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
187         else \
188           dir2="../$$dir2"; \
189         fi; \
190         dir0="$$dir0"/"$$first"; \
191       fi; \
192     fi; \
193     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
194   done; \
195   reldir="$$dir2"
196 DIST_ARCHIVES = $(distdir).tar.gz
197 GZIP_ENV = --best
198 DIST_TARGETS = dist-gzip
199 # Exists only to be overridden by the user if desired.
200 AM_DISTCHECK_DVI_TARGET = dvi
201 distuninstallcheck_listfiles = find . -type f -print
202 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
203   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
204 distcleancheck_listfiles = find . -type f -print
205 ACLOCAL = @ACLOCAL@
206 AMTAR = @AMTAR@
207 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
208 AUTOCONF = @AUTOCONF@
209 AUTOHEADER = @AUTOHEADER@
210 AUTOMAKE = @AUTOMAKE@
211 AWK = @AWK@
212 BASEDIR = @BASEDIR@
213 CC = @CC@
214 CCDEPMODE = @CCDEPMODE@
215 CFLAGS = @CFLAGS@
216 CPPFLAGS = @CPPFLAGS@
217 CSCOPE = @CSCOPE@
218 CTAGS = @CTAGS@
219 CTIE = @CTIE@
220 CYGPATH_W = @CYGPATH_W@
221 DEFS = @DEFS@
222 DEPDIR = @DEPDIR@
223 DUMPDIR = @DUMPDIR@
224 ECHO_C = @ECHO_C@
225 ECHO_N = @ECHO_N@
226 ECHO_T = @ECHO_T@
227 ETAGS = @ETAGS@
228 EXEEXT = @EXEEXT@
229 FOP = @FOP@
230 GITVER = @GITVER@
231 INSTALL = @INSTALL@
232 INSTALL_DATA = @INSTALL_DATA@
233 INSTALL_PROGRAM = @INSTALL_PROGRAM@
234 INSTALL_SCRIPT = @INSTALL_SCRIPT@
235 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
236 LDFLAGS = @LDFLAGS@
237 LIBOBJS = @LIBOBJS@
238 LIBS = @LIBS@
239 LTLIBOBJS = @LTLIBOBJS@
240 LYNX = @LYNX@
241 MAINT = @MAINT@
242 MAKEINFO = @MAKEINFO@
243 MKDIR_P = @MKDIR_P@
244 NOCHUNKS_NAME = @NOCHUNKS_NAME@
245 NOCHUNKS_OUTPUT = @NOCHUNKS_OUTPUT@
246 OBJEXT = @OBJEXT@
247 PACKAGE = @PACKAGE@
248 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
249 PACKAGE_NAME = @PACKAGE_NAME@
250 PACKAGE_STRING = @PACKAGE_STRING@
251 PACKAGE_TARNAME = @PACKAGE_TARNAME@
252 PACKAGE_URL = @PACKAGE_URL@
253 PACKAGE_VERSION = @PACKAGE_VERSION@
254 PATH_SEPARATOR = @PATH_SEPARATOR@
255 PDF = @PDF@
256 PDF_OUTPUT = @PDF_OUTPUT@
257 SET_MAKE = @SET_MAKE@
258 SHELL = @SHELL@
259 STRIP = @STRIP@
260 TAKAO = @TAKAO@
261 TAKAOGEXFILE = @TAKAOGEXFILE@
262 TAKAOGFILE = @TAKAOGFILE@
263 TAKAOGFONTDIR = @TAKAOGFONTDIR@
264 TAKAOMFILE = @TAKAOMFILE@
265 TAKAOMFONTDIR = @TAKAOMFONTDIR@
266 TIDY = @TIDY@
267 TXT = @TXT@
268 VERSION = @VERSION@
269 XMLLINT = @XMLLINT@
270 XSLTPROC = @XSLTPROC@
271 abs_bookdir = @abs_bookdir@
272 abs_builddir = @abs_builddir@
273 abs_srcdir = @abs_srcdir@
274 abs_top_builddir = @abs_top_builddir@
275 abs_top_srcdir = @abs_top_srcdir@
276 ac_ct_CC = @ac_ct_CC@
277 am__include = @am__include@
278 am__leading_dot = @am__leading_dot@
279 am__quote = @am__quote@
280 am__tar = @am__tar@
281 am__untar = @am__untar@
282 bindir = @bindir@
283 bookdir = @bookdir@
284 build_alias = @build_alias@
285 builddir = @builddir@
286 datadir = @datadir@
287 datarootdir = @datarootdir@
288 docdir = @docdir@
289 dvidir = @dvidir@
290 exec_prefix = @exec_prefix@
291 host_alias = @host_alias@
292 htmldir = @htmldir@
293 includedir = @includedir@
294 infodir = @infodir@
295 install_sh = @install_sh@
296 libdir = @libdir@
297 libexecdir = @libexecdir@
298 localedir = @localedir@
299 localstatedir = @localstatedir@
300 mandir = @mandir@
301 mkdir_p = @mkdir_p@
302 oldincludedir = @oldincludedir@
303 pdfdir = @pdfdir@
304 prefix = @prefix@
305 program_transform_name = @program_transform_name@
306 psdir = @psdir@
307 revspec = @revspec@
308 runstatedir = @runstatedir@
309 sbindir = @sbindir@
310 sharedstatedir = @sharedstatedir@
311 srcdir = @srcdir@
312 sysconfdir = @sysconfdir@
313 target_alias = @target_alias@
314 top_build_prefix = @top_build_prefix@
315 top_builddir = @top_builddir@
316 top_srcdir = @top_srcdir@
317 SUBDIRS = ctie src
318 EXTRA_DIST = INSTALL.utf8 version.ac
319 all: all-recursive
320
321 .SUFFIXES:
322 am--refresh: Makefile
323         @:
324 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
325         @for dep in $?; do \
326           case '$(am__configure_deps)' in \
327             *$$dep*) \
328               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
329               $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
330                 && exit 0; \
331               exit 1;; \
332           esac; \
333         done; \
334         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
335         $(am__cd) $(top_srcdir) && \
336           $(AUTOMAKE) --gnu Makefile
337 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
338         @case '$?' in \
339           *config.status*) \
340             echo ' $(SHELL) ./config.status'; \
341             $(SHELL) ./config.status;; \
342           *) \
343             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
344             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
345         esac;
346
347 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
348         $(SHELL) ./config.status --recheck
349
350 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
351         $(am__cd) $(srcdir) && $(AUTOCONF)
352 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
353         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
354 $(am__aclocal_m4_deps):
355
356 # This directory's subdirectories are mostly independent; you can cd
357 # into them and run 'make' without going through this Makefile.
358 # To change the values of 'make' variables: instead of editing Makefiles,
359 # (1) if the variable is set in 'config.status', edit 'config.status'
360 #     (which will cause the Makefiles to be regenerated when you run 'make');
361 # (2) otherwise, pass the desired values on the 'make' command line.
362 $(am__recursive_targets):
363         @fail=; \
364         if $(am__make_keepgoing); then \
365           failcom='fail=yes'; \
366         else \
367           failcom='exit 1'; \
368         fi; \
369         dot_seen=no; \
370         target=`echo $@ | sed s/-recursive//`; \
371         case "$@" in \
372           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
373           *) list='$(SUBDIRS)' ;; \
374         esac; \
375         for subdir in $$list; do \
376           echo "Making $$target in $$subdir"; \
377           if test "$$subdir" = "."; then \
378             dot_seen=yes; \
379             local_target="$$target-am"; \
380           else \
381             local_target="$$target"; \
382           fi; \
383           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
384           || eval $$failcom; \
385         done; \
386         if test "$$dot_seen" = "no"; then \
387           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
388         fi; test -z "$$fail"
389
390 ID: $(am__tagged_files)
391         $(am__define_uniq_tagged_files); mkid -fID $$unique
392 tags: tags-recursive
393 TAGS: tags
394
395 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
396         set x; \
397         here=`pwd`; \
398         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
399           include_option=--etags-include; \
400           empty_fix=.; \
401         else \
402           include_option=--include; \
403           empty_fix=; \
404         fi; \
405         list='$(SUBDIRS)'; for subdir in $$list; do \
406           if test "$$subdir" = .; then :; else \
407             test ! -f $$subdir/TAGS || \
408               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
409           fi; \
410         done; \
411         $(am__define_uniq_tagged_files); \
412         shift; \
413         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
414           test -n "$$unique" || unique=$$empty_fix; \
415           if test $$# -gt 0; then \
416             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
417               "$$@" $$unique; \
418           else \
419             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
420               $$unique; \
421           fi; \
422         fi
423 ctags: ctags-recursive
424
425 CTAGS: ctags
426 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
427         $(am__define_uniq_tagged_files); \
428         test -z "$(CTAGS_ARGS)$$unique" \
429           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
430              $$unique
431
432 GTAGS:
433         here=`$(am__cd) $(top_builddir) && pwd` \
434           && $(am__cd) $(top_srcdir) \
435           && gtags -i $(GTAGS_ARGS) "$$here"
436 cscope: cscope.files
437         test ! -s cscope.files \
438           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
439 clean-cscope:
440         -rm -f cscope.files
441 cscope.files: clean-cscope cscopelist
442 cscopelist: cscopelist-recursive
443
444 cscopelist-am: $(am__tagged_files)
445         list='$(am__tagged_files)'; \
446         case "$(srcdir)" in \
447           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
448           *) sdir=$(subdir)/$(srcdir) ;; \
449         esac; \
450         for i in $$list; do \
451           if test -f "$$i"; then \
452             echo "$(subdir)/$$i"; \
453           else \
454             echo "$$sdir/$$i"; \
455           fi; \
456         done >> $(top_builddir)/cscope.files
457
458 distclean-tags:
459         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
460         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
461 distdir: $(BUILT_SOURCES)
462         $(MAKE) $(AM_MAKEFLAGS) distdir-am
463
464 distdir-am: $(DISTFILES)
465         $(am__remove_distdir)
466         test -d "$(distdir)" || mkdir "$(distdir)"
467         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
468         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
469         list='$(DISTFILES)'; \
470           dist_files=`for file in $$list; do echo $$file; done | \
471           sed -e "s|^$$srcdirstrip/||;t" \
472               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
473         case $$dist_files in \
474           */*) $(MKDIR_P) `echo "$$dist_files" | \
475                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
476                            sort -u` ;; \
477         esac; \
478         for file in $$dist_files; do \
479           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
480           if test -d $$d/$$file; then \
481             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
482             if test -d "$(distdir)/$$file"; then \
483               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
484             fi; \
485             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
486               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
487               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
488             fi; \
489             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
490           else \
491             test -f "$(distdir)/$$file" \
492             || cp -p $$d/$$file "$(distdir)/$$file" \
493             || exit 1; \
494           fi; \
495         done
496         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
497           if test "$$subdir" = .; then :; else \
498             $(am__make_dryrun) \
499               || test -d "$(distdir)/$$subdir" \
500               || $(MKDIR_P) "$(distdir)/$$subdir" \
501               || exit 1; \
502             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
503             $(am__relativize); \
504             new_distdir=$$reldir; \
505             dir1=$$subdir; dir2="$(top_distdir)"; \
506             $(am__relativize); \
507             new_top_distdir=$$reldir; \
508             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
509             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
510             ($(am__cd) $$subdir && \
511               $(MAKE) $(AM_MAKEFLAGS) \
512                 top_distdir="$$new_top_distdir" \
513                 distdir="$$new_distdir" \
514                 am__remove_distdir=: \
515                 am__skip_length_check=: \
516                 am__skip_mode_fix=: \
517                 distdir) \
518               || exit 1; \
519           fi; \
520         done
521         -test -n "$(am__skip_mode_fix)" \
522         || find "$(distdir)" -type d ! -perm -755 \
523                 -exec chmod u+rwx,go+rx {} \; -o \
524           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
525           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
526           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
527         || chmod -R a+r "$(distdir)"
528 dist-gzip: distdir
529         tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
530         $(am__post_remove_distdir)
531
532 dist-bzip2: distdir
533         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
534         $(am__post_remove_distdir)
535
536 dist-lzip: distdir
537         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
538         $(am__post_remove_distdir)
539
540 dist-xz: distdir
541         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
542         $(am__post_remove_distdir)
543
544 dist-zstd: distdir
545         tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}} >$(distdir).tar.zst
546         $(am__post_remove_distdir)
547
548 dist-tarZ: distdir
549         @echo WARNING: "Support for distribution archives compressed with" \
550                        "legacy program 'compress' is deprecated." >&2
551         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
552         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
553         $(am__post_remove_distdir)
554
555 dist-shar: distdir
556         @echo WARNING: "Support for shar distribution archives is" \
557                        "deprecated." >&2
558         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
559         shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
560         $(am__post_remove_distdir)
561
562 dist-zip: distdir
563         -rm -f $(distdir).zip
564         zip -rq $(distdir).zip $(distdir)
565         $(am__post_remove_distdir)
566
567 dist dist-all:
568         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
569         $(am__post_remove_distdir)
570
571 # This target untars the dist file and tries a VPATH configuration.  Then
572 # it guarantees that the distribution is self-contained by making another
573 # tarfile.
574 distcheck: dist
575         case '$(DIST_ARCHIVES)' in \
576         *.tar.gz*) \
577           eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
578         *.tar.bz2*) \
579           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
580         *.tar.lz*) \
581           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
582         *.tar.xz*) \
583           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
584         *.tar.Z*) \
585           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
586         *.shar.gz*) \
587           eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
588         *.zip*) \
589           unzip $(distdir).zip ;;\
590         *.tar.zst*) \
591           zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
592         esac
593         chmod -R a-w $(distdir)
594         chmod u+w $(distdir)
595         mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
596         chmod a-w $(distdir)
597         test -d $(distdir)/_build || exit 0; \
598         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
599           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
600           && am__cwd=`pwd` \
601           && $(am__cd) $(distdir)/_build/sub \
602           && ../../configure \
603             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
604             $(DISTCHECK_CONFIGURE_FLAGS) \
605             --srcdir=../.. --prefix="$$dc_install_base" \
606           && $(MAKE) $(AM_MAKEFLAGS) \
607           && $(MAKE) $(AM_MAKEFLAGS) $(AM_DISTCHECK_DVI_TARGET) \
608           && $(MAKE) $(AM_MAKEFLAGS) check \
609           && $(MAKE) $(AM_MAKEFLAGS) install \
610           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
611           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
612           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
613                 distuninstallcheck \
614           && chmod -R a-w "$$dc_install_base" \
615           && ({ \
616                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
617                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
618                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
619                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
620                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
621               } || { rm -rf "$$dc_destdir"; exit 1; }) \
622           && rm -rf "$$dc_destdir" \
623           && $(MAKE) $(AM_MAKEFLAGS) dist \
624           && rm -rf $(DIST_ARCHIVES) \
625           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
626           && cd "$$am__cwd" \
627           || exit 1
628         $(am__post_remove_distdir)
629         @(echo "$(distdir) archives ready for distribution: "; \
630           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
631           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
632 distuninstallcheck:
633         @test -n '$(distuninstallcheck_dir)' || { \
634           echo 'ERROR: trying to run $@ with an empty' \
635                '$$(distuninstallcheck_dir)' >&2; \
636           exit 1; \
637         }; \
638         $(am__cd) '$(distuninstallcheck_dir)' || { \
639           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
640           exit 1; \
641         }; \
642         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
643            || { echo "ERROR: files left after uninstall:" ; \
644                 if test -n "$(DESTDIR)"; then \
645                   echo "  (check DESTDIR support)"; \
646                 fi ; \
647                 $(distuninstallcheck_listfiles) ; \
648                 exit 1; } >&2
649 distcleancheck: distclean
650         @if test '$(srcdir)' = . ; then \
651           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
652           exit 1 ; \
653         fi
654         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
655           || { echo "ERROR: files left in build directory after distclean:" ; \
656                $(distcleancheck_listfiles) ; \
657                exit 1; } >&2
658 check-am: all-am
659 check: check-recursive
660 all-am: Makefile
661 installdirs: installdirs-recursive
662 installdirs-am:
663 install: install-recursive
664 install-exec: install-exec-recursive
665 install-data: install-data-recursive
666 uninstall: uninstall-recursive
667
668 install-am: all-am
669         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
670
671 installcheck: installcheck-recursive
672 install-strip:
673         if test -z '$(STRIP)'; then \
674           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
675             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
676               install; \
677         else \
678           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
679             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
680             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
681         fi
682 mostlyclean-generic:
683
684 clean-generic:
685
686 distclean-generic:
687         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
688         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
689
690 maintainer-clean-generic:
691         @echo "This command is intended for maintainers to use"
692         @echo "it deletes files that may require special tools to rebuild."
693 clean: clean-recursive
694
695 clean-am: clean-generic mostlyclean-am
696
697 distclean: distclean-recursive
698         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
699         -rm -f Makefile
700 distclean-am: clean-am distclean-generic distclean-tags
701
702 dvi: dvi-recursive
703
704 dvi-am:
705
706 html: html-recursive
707
708 html-am:
709
710 info: info-recursive
711
712 info-am:
713
714 install-data-am:
715
716 install-dvi: install-dvi-recursive
717
718 install-dvi-am:
719
720 install-exec-am:
721
722 install-html: install-html-recursive
723
724 install-html-am:
725
726 install-info: install-info-recursive
727
728 install-info-am:
729
730 install-man:
731
732 install-pdf: install-pdf-recursive
733
734 install-pdf-am:
735
736 install-ps: install-ps-recursive
737
738 install-ps-am:
739
740 installcheck-am:
741
742 maintainer-clean: maintainer-clean-recursive
743         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
744         -rm -rf $(top_srcdir)/autom4te.cache
745         -rm -f Makefile
746 maintainer-clean-am: distclean-am maintainer-clean-generic
747
748 mostlyclean: mostlyclean-recursive
749
750 mostlyclean-am: mostlyclean-generic
751
752 pdf: pdf-recursive
753
754 pdf-am:
755
756 ps: ps-recursive
757
758 ps-am:
759
760 uninstall-am:
761
762 .MAKE: $(am__recursive_targets) install-am install-strip
763
764 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
765         am--refresh check check-am clean clean-cscope clean-generic \
766         cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
767         dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
768         dist-zstd distcheck distclean distclean-generic distclean-tags \
769         distcleancheck distdir distuninstallcheck dvi dvi-am html \
770         html-am info info-am install install-am install-data \
771         install-data-am install-dvi install-dvi-am install-exec \
772         install-exec-am install-html install-html-am install-info \
773         install-info-am install-man install-pdf install-pdf-am \
774         install-ps install-ps-am install-strip installcheck \
775         installcheck-am installdirs installdirs-am maintainer-clean \
776         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
777         pdf-am ps ps-am tags tags-am uninstall uninstall-am
778
779 .PRECIOUS: Makefile
780
781
782 nochunks:
783         @$(MAKE) -C src nochunks
784
785 @TXT@txt:
786 @TXT@   @$(MAKE) -C src txt
787
788 # Tell versions [3.59,3.63) of GNU make to not export all variables.
789 # Otherwise a system limit (for SysV at least) may be exceeded.
790 .NOEXPORT: